<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

session_name('ipreg');
session_start();

include("config.php");
include("dbconnect.php");
	
include("lib.php");
		
// include language file
$language = lang_getfrombrowser($config_lang, $config_lang_default, null, false);
include('lang/' . $language . '.php');

// check for submit
if ($_SERVER['REQUEST_METHOD']=="POST" ) {
	/// get post info
	$user_name = sanitize($_POST['user_name']);
	$user_pass = sanitize($_POST['user_pass']);
	
	// login
	$login = $user->user_login($user_name, $user_pass);

	if($login==TRUE) {
		// redirect
		header_location("index.php");
	} else {
		// not ok, break session
		$_SESSION = array();
		session_destroy();
	}
}
		
$smarty->assign("config_version", $config_version);
$smarty->assign($lang);

$smarty->display("login.tpl");

include("footer.php");
?>
